import{s as yt,n as xt,o as wt}from"../chunks/scheduler.00bde567.js";import{S as Lt,i as Mt,g as o,s as a,r as g,A as Pt,h as c,f as r,c as n,j as v,u as m,x as k,k as _,y as t,a as l,v as p,d as u,t as h,w as f}from"../chunks/index.752e2ff6.js";import{D as b}from"../chunks/Docstring.d4f10c97.js";import{H as rt}from"../chunks/Heading.476d3364.js";function It(at){let L,ke,ve,be,D,$e,A,Te,i,C,Ne,X,nt="A base Tracker class to be used for all logging integration implementations.",He,J,ot=`Each function should take in <code>**kwargs</code> that will automatically be passed in from a base dictionary provided to
<a href="/docs/accelerate/v0.24.0/en/package_reference/accelerator#accelerate.Accelerator">Accelerator</a>.`,Be,K,ct="Should implement <code>name</code>, <code>requires_logging_directory</code>, and <code>tracker</code> properties such that:",Ve,Q,st=`<code>name</code> (<code>str</code>): String representation of the tracker class name, such as “TensorBoard” <code>requires_logging_directory</code>
(<code>bool</code>): Whether the logger requires a directory to store their logs. <code>tracker</code> (<code>object</code>): Should return internal
tracking mechanism used by a tracker class (such as the <code>run</code> for wandb)`,Se,Y,it=`Implementations can also include a <code>main_process_only</code> (<code>bool</code>) attribute to toggle if relevent logging, init, and
other functions should occur on the main process or across all processes (by default will use <code>True</code>)`,Ue,M,N,Oe,Z,lt=`Should run any finalizing functions within the tracking API. If the API should not have one, just don’t
overwrite that method.`,Ge,P,H,ze,ee,dt="Logs <code>values</code> to the current run. Base <code>log</code> implementations of a tracking API should go in here, along with\nspecial behavior for the `step parameter.",We,I,B,qe,te,gt=`Logs <code>values</code> as hyperparameters for the run. Implementations should use the experiment configuration
functionality of a tracking API.`,ye,V,xe,T,S,Fe,re,mt="A <code>Tracker</code> class that supports <code>tensorboard</code>. Should be initialized at the start of your script.",je,ae,U,we,y,O,Re,ne,pt="A <code>Tracker</code> class that supports <code>wandb</code>. Should be initialized at the start of your script.",Xe,oe,G,Le,$,z,Je,ce,ut="A <code>Tracker</code> class that supports <code>comet_ml</code>. Should be initialized at the start of your script.",Ke,se,ht="API keys must be stored in a Comet config file.",Qe,ie,W,Me,x,q,Ye,le,ft="A <code>Tracker</code> class that supports <code>aim</code>. Should be initialized at the start of your script.",Ze,de,F,Pe,w,j,et,ge,vt="A <code>Tracker</code> class that supports <code>mlflow</code>. Should be initialized at the start of your script.",tt,me,R,Ie,_e,Ee;return D=new rt({props:{title:"Experiment Tracking",local:"experiment-tracking",headingTag:"h1"}}),A=new rt({props:{title:"The Base Tracker Class",local:"accelerate.tracking.GeneralTracker",headingTag:"h2"}}),C=new b({props:{name:"class accelerate.tracking.GeneralTracker",anchor:"accelerate.tracking.GeneralTracker",parameters:[{name:"_blank",val:" = False"}],source:"https://github.com/huggingface/accelerate/blob/v0.24.0/src/accelerate/tracking.py#L83"}}),N=new b({props:{name:"finish",anchor:"accelerate.tracking.GeneralTracker.finish",parameters:[],source:"https://github.com/huggingface/accelerate/blob/v0.24.0/src/accelerate/tracking.py#L149"}}),H=new b({props:{name:"log",anchor:"accelerate.tracking.GeneralTracker.log",parameters:[{name:"values",val:": dict"},{name:"step",val:": typing.Optional[int]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.GeneralTracker.log.values",description:`<strong>values</strong> (Dictionary <code>str</code> to <code>str</code>, <code>float</code>, or <code>int</code>) &#x2014;
Values to be logged as key-value pairs. The values need to have type <code>str</code>, <code>float</code>, or <code>int</code>.`,name:"values"},{anchor:"accelerate.tracking.GeneralTracker.log.step",description:`<strong>step</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The run step. If included, the log will be affiliated with this step.`,name:"step"}],source:"https://github.com/huggingface/accelerate/blob/v0.24.0/src/accelerate/tracking.py#L136"}}),B=new b({props:{name:"store_init_configuration",anchor:"accelerate.tracking.GeneralTracker.store_init_configuration",parameters:[{name:"values",val:": dict"}],parametersDescription:[{anchor:"accelerate.tracking.GeneralTracker.store_init_configuration.values",description:`<strong>values</strong> (Dictionary <code>str</code> to <code>bool</code>, <code>str</code>, <code>float</code> or <code>int</code>) &#x2014;
Values to be stored as initial hyperparameters as key-value pairs. The values need to have type <code>bool</code>,
<code>str</code>, <code>float</code>, <code>int</code>, or <code>None</code>.`,name:"values"}],source:"https://github.com/huggingface/accelerate/blob/v0.24.0/src/accelerate/tracking.py#L124"}}),V=new rt({props:{title:"Integrated Trackers",local:"accelerate.tracking.TensorBoardTracker",headingTag:"h2"}}),S=new b({props:{name:"class accelerate.tracking.TensorBoardTracker",anchor:"accelerate.tracking.TensorBoardTracker",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": typing.Union[str, os.PathLike]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.TensorBoardTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run`,name:"run_name"},{anchor:"accelerate.tracking.TensorBoardTracker.logging_dir",description:`<strong>logging_dir</strong> (<code>str</code>, <code>os.PathLike</code>) &#x2014;
Location for TensorBoard logs to be stored.
kwargs &#x2014;
Additional key word arguments passed along to the <code>tensorboard.SummaryWriter.__init__</code> method.`,name:"logging_dir"}],source:"https://github.com/huggingface/accelerate/blob/v0.24.0/src/accelerate/tracking.py#L157"}}),U=new b({props:{name:"__init__",anchor:"accelerate.tracking.TensorBoardTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": typing.Union[str, os.PathLike]"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/v0.24.0/src/accelerate/tracking.py#L173"}}),O=new b({props:{name:"class accelerate.tracking.WandBTracker",anchor:"accelerate.tracking.WandBTracker",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.WandBTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run.
kwargs &#x2014;
Additional key word arguments passed along to the <code>wandb.init</code> method.`,name:"run_name"}],source:"https://github.com/huggingface/accelerate/blob/v0.24.0/src/accelerate/tracking.py#L268"}}),G=new b({props:{name:"__init__",anchor:"accelerate.tracking.WandBTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/v0.24.0/src/accelerate/tracking.py#L283"}}),z=new b({props:{name:"class accelerate.tracking.CometMLTracker",anchor:"accelerate.tracking.CometMLTracker",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.CometMLTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run.
kwargs &#x2014;
Additional key word arguments passed along to the <code>Experiment.__init__</code> method.`,name:"run_name"}],source:"https://github.com/huggingface/accelerate/blob/v0.24.0/src/accelerate/tracking.py#L391"}}),W=new b({props:{name:"__init__",anchor:"accelerate.tracking.CometMLTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/v0.24.0/src/accelerate/tracking.py#L407"}}),q=new b({props:{name:"class accelerate.tracking.AimTracker",anchor:"accelerate.tracking.AimTracker",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": typing.Union[str, os.PathLike, NoneType] = '.'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.AimTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run.
kwargs &#x2014;
Additional key word arguments passed along to the <code>Run.__init__</code> method.`,name:"run_name"}],source:"https://github.com/huggingface/accelerate/blob/v0.24.0/src/accelerate/tracking.py#L472"}}),F=new b({props:{name:"__init__",anchor:"accelerate.tracking.AimTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": typing.Union[str, os.PathLike, NoneType] = '.'"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/v0.24.0/src/accelerate/tracking.py#L486"}}),j=new b({props:{name:"class accelerate.tracking.MLflowTracker",anchor:"accelerate.tracking.MLflowTracker",parameters:[{name:"experiment_name",val:": str = None"},{name:"logging_dir",val:": typing.Union[str, os.PathLike, NoneType] = None"},{name:"run_id",val:": typing.Optional[str] = None"},{name:"tags",val:": typing.Union[typing.Dict[str, typing.Any], str, NoneType] = None"},{name:"nested_run",val:": typing.Optional[bool] = False"},{name:"run_name",val:": typing.Optional[str] = None"},{name:"description",val:": typing.Optional[str] = None"}],parametersDescription:[{anchor:"accelerate.tracking.MLflowTracker.experiment_name",description:`<strong>experiment_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of the experiment. Environment variable MLFLOW_EXPERIMENT_NAME has priority over this argument.`,name:"experiment_name"},{anchor:"accelerate.tracking.MLflowTracker.logging_dir",description:`<strong>logging_dir</strong> (<code>str</code> or <code>os.PathLike</code>, defaults to <code>&quot;.&quot;</code>) &#x2014;
Location for mlflow logs to be stored.`,name:"logging_dir"},{anchor:"accelerate.tracking.MLflowTracker.run_id",description:`<strong>run_id</strong> (<code>str</code>, <em>optional</em>) &#x2014;
If specified, get the run with the specified UUID and log parameters and metrics under that run. The run&#x2019;s
end time is unset and its status is set to running, but the run&#x2019;s other attributes (source_version,
source_type, etc.) are not changed. Environment variable MLFLOW_RUN_ID has priority over this argument.`,name:"run_id"},{anchor:"accelerate.tracking.MLflowTracker.tags",description:`<strong>tags</strong> (<code>Dict[str, str]</code>, <em>optional</em>) &#x2014;
An optional <code>dict</code> of <code>str</code> keys and values, or a <code>str</code> dump from a <code>dict</code>, to set as tags on the run. If a
run is being resumed, these tags are set on the resumed run. If a new run is being created, these tags are
set on the new run. Environment variable MLFLOW_TAGS has priority over this argument.`,name:"tags"},{anchor:"accelerate.tracking.MLflowTracker.nested_run",description:`<strong>nested_run</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Controls whether run is nested in parent run. True creates a nested run. Environment variable
MLFLOW_NESTED_RUN has priority over this argument.`,name:"nested_run"},{anchor:"accelerate.tracking.MLflowTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of new run (stored as a mlflow.runName tag). Used only when <code>run_id</code> is unspecified.`,name:"run_name"},{anchor:"accelerate.tracking.MLflowTracker.description",description:`<strong>description</strong> (<code>str</code>, <em>optional</em>) &#x2014;
An optional string that populates the description box of the run. If a run is being resumed, the
description is set on the resumed run. If a new run is being created, the description is set on the new
run.`,name:"description"}],source:"https://github.com/huggingface/accelerate/blob/v0.24.0/src/accelerate/tracking.py#L539"}}),R=new b({props:{name:"__init__",anchor:"accelerate.tracking.MLflowTracker.__init__",parameters:[{name:"experiment_name",val:": str = None"},{name:"logging_dir",val:": typing.Union[str, os.PathLike, NoneType] = None"},{name:"run_id",val:": typing.Optional[str] = None"},{name:"tags",val:": typing.Union[typing.Dict[str, typing.Any], str, NoneType] = None"},{name:"nested_run",val:": typing.Optional[bool] = False"},{name:"run_name",val:": typing.Optional[str] = None"},{name:"description",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/accelerate/blob/v0.24.0/src/accelerate/tracking.py#L570"}}),{c(){L=o("meta"),ke=a(),ve=o("p"),be=a(),g(D.$$.fragment),$e=a(),g(A.$$.fragment),Te=a(),i=o("div"),g(C.$$.fragment),Ne=a(),X=o("p"),X.textContent=nt,He=a(),J=o("p"),J.innerHTML=ot,Be=a(),K=o("p"),K.innerHTML=ct,Ve=a(),Q=o("p"),Q.innerHTML=st,Se=a(),Y=o("p"),Y.innerHTML=it,Ue=a(),M=o("div"),g(N.$$.fragment),Oe=a(),Z=o("p"),Z.textContent=lt,Ge=a(),P=o("div"),g(H.$$.fragment),ze=a(),ee=o("p"),ee.innerHTML=dt,We=a(),I=o("div"),g(B.$$.fragment),qe=a(),te=o("p"),te.innerHTML=gt,ye=a(),g(V.$$.fragment),xe=a(),T=o("div"),g(S.$$.fragment),Fe=a(),re=o("p"),re.innerHTML=mt,je=a(),ae=o("div"),g(U.$$.fragment),we=a(),y=o("div"),g(O.$$.fragment),Re=a(),ne=o("p"),ne.innerHTML=pt,Xe=a(),oe=o("div"),g(G.$$.fragment),Le=a(),$=o("div"),g(z.$$.fragment),Je=a(),ce=o("p"),ce.innerHTML=ut,Ke=a(),se=o("p"),se.textContent=ht,Qe=a(),ie=o("div"),g(W.$$.fragment),Me=a(),x=o("div"),g(q.$$.fragment),Ye=a(),le=o("p"),le.innerHTML=ft,Ze=a(),de=o("div"),g(F.$$.fragment),Pe=a(),w=o("div"),g(j.$$.fragment),et=a(),ge=o("p"),ge.innerHTML=vt,tt=a(),me=o("div"),g(R.$$.fragment),Ie=a(),_e=o("p"),this.h()},l(e){const s=Pt("svelte-u9bgzb",document.head);L=c(s,"META",{name:!0,content:!0}),s.forEach(r),ke=n(e),ve=c(e,"P",{}),v(ve).forEach(r),be=n(e),m(D.$$.fragment,e),$e=n(e),m(A.$$.fragment,e),Te=n(e),i=c(e,"DIV",{class:!0});var d=v(i);m(C.$$.fragment,d),Ne=n(d),X=c(d,"P",{"data-svelte-h":!0}),k(X)!=="svelte-m7ldax"&&(X.textContent=nt),He=n(d),J=c(d,"P",{"data-svelte-h":!0}),k(J)!=="svelte-i9lful"&&(J.innerHTML=ot),Be=n(d),K=c(d,"P",{"data-svelte-h":!0}),k(K)!=="svelte-sgpklc"&&(K.innerHTML=ct),Ve=n(d),Q=c(d,"P",{"data-svelte-h":!0}),k(Q)!=="svelte-fdst8q"&&(Q.innerHTML=st),Se=n(d),Y=c(d,"P",{"data-svelte-h":!0}),k(Y)!=="svelte-189sskg"&&(Y.innerHTML=it),Ue=n(d),M=c(d,"DIV",{class:!0});var De=v(M);m(N.$$.fragment,De),Oe=n(De),Z=c(De,"P",{"data-svelte-h":!0}),k(Z)!=="svelte-va87im"&&(Z.textContent=lt),De.forEach(r),Ge=n(d),P=c(d,"DIV",{class:!0});var Ae=v(P);m(H.$$.fragment,Ae),ze=n(Ae),ee=c(Ae,"P",{"data-svelte-h":!0}),k(ee)!=="svelte-czjed5"&&(ee.innerHTML=dt),Ae.forEach(r),We=n(d),I=c(d,"DIV",{class:!0});var Ce=v(I);m(B.$$.fragment,Ce),qe=n(Ce),te=c(Ce,"P",{"data-svelte-h":!0}),k(te)!=="svelte-ijycp8"&&(te.innerHTML=gt),Ce.forEach(r),d.forEach(r),ye=n(e),m(V.$$.fragment,e),xe=n(e),T=c(e,"DIV",{class:!0});var pe=v(T);m(S.$$.fragment,pe),Fe=n(pe),re=c(pe,"P",{"data-svelte-h":!0}),k(re)!=="svelte-4bz4fo"&&(re.innerHTML=mt),je=n(pe),ae=c(pe,"DIV",{class:!0});var _t=v(ae);m(U.$$.fragment,_t),_t.forEach(r),pe.forEach(r),we=n(e),y=c(e,"DIV",{class:!0});var ue=v(y);m(O.$$.fragment,ue),Re=n(ue),ne=c(ue,"P",{"data-svelte-h":!0}),k(ne)!=="svelte-1funvbl"&&(ne.innerHTML=pt),Xe=n(ue),oe=c(ue,"DIV",{class:!0});var kt=v(oe);m(G.$$.fragment,kt),kt.forEach(r),ue.forEach(r),Le=n(e),$=c(e,"DIV",{class:!0});var E=v($);m(z.$$.fragment,E),Je=n(E),ce=c(E,"P",{"data-svelte-h":!0}),k(ce)!=="svelte-46z6qn"&&(ce.innerHTML=ut),Ke=n(E),se=c(E,"P",{"data-svelte-h":!0}),k(se)!=="svelte-1byed2r"&&(se.textContent=ht),Qe=n(E),ie=c(E,"DIV",{class:!0});var bt=v(ie);m(W.$$.fragment,bt),bt.forEach(r),E.forEach(r),Me=n(e),x=c(e,"DIV",{class:!0});var he=v(x);m(q.$$.fragment,he),Ye=n(he),le=c(he,"P",{"data-svelte-h":!0}),k(le)!=="svelte-1wn9vfq"&&(le.innerHTML=ft),Ze=n(he),de=c(he,"DIV",{class:!0});var $t=v(de);m(F.$$.fragment,$t),$t.forEach(r),he.forEach(r),Pe=n(e),w=c(e,"DIV",{class:!0});var fe=v(w);m(j.$$.fragment,fe),et=n(fe),ge=c(fe,"P",{"data-svelte-h":!0}),k(ge)!=="svelte-109p8cy"&&(ge.innerHTML=vt),tt=n(fe),me=c(fe,"DIV",{class:!0});var Tt=v(me);m(R.$$.fragment,Tt),Tt.forEach(r),fe.forEach(r),Ie=n(e),_e=c(e,"P",{}),v(_e).forEach(r),this.h()},h(){_(L,"name","hf:doc:metadata"),_(L,"content",Et),_(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(i,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,s){t(document.head,L),l(e,ke,s),l(e,ve,s),l(e,be,s),p(D,e,s),l(e,$e,s),p(A,e,s),l(e,Te,s),l(e,i,s),p(C,i,null),t(i,Ne),t(i,X),t(i,He),t(i,J),t(i,Be),t(i,K),t(i,Ve),t(i,Q),t(i,Se),t(i,Y),t(i,Ue),t(i,M),p(N,M,null),t(M,Oe),t(M,Z),t(i,Ge),t(i,P),p(H,P,null),t(P,ze),t(P,ee),t(i,We),t(i,I),p(B,I,null),t(I,qe),t(I,te),l(e,ye,s),p(V,e,s),l(e,xe,s),l(e,T,s),p(S,T,null),t(T,Fe),t(T,re),t(T,je),t(T,ae),p(U,ae,null),l(e,we,s),l(e,y,s),p(O,y,null),t(y,Re),t(y,ne),t(y,Xe),t(y,oe),p(G,oe,null),l(e,Le,s),l(e,$,s),p(z,$,null),t($,Je),t($,ce),t($,Ke),t($,se),t($,Qe),t($,ie),p(W,ie,null),l(e,Me,s),l(e,x,s),p(q,x,null),t(x,Ye),t(x,le),t(x,Ze),t(x,de),p(F,de,null),l(e,Pe,s),l(e,w,s),p(j,w,null),t(w,et),t(w,ge),t(w,tt),t(w,me),p(R,me,null),l(e,Ie,s),l(e,_e,s),Ee=!0},p:xt,i(e){Ee||(u(D.$$.fragment,e),u(A.$$.fragment,e),u(C.$$.fragment,e),u(N.$$.fragment,e),u(H.$$.fragment,e),u(B.$$.fragment,e),u(V.$$.fragment,e),u(S.$$.fragment,e),u(U.$$.fragment,e),u(O.$$.fragment,e),u(G.$$.fragment,e),u(z.$$.fragment,e),u(W.$$.fragment,e),u(q.$$.fragment,e),u(F.$$.fragment,e),u(j.$$.fragment,e),u(R.$$.fragment,e),Ee=!0)},o(e){h(D.$$.fragment,e),h(A.$$.fragment,e),h(C.$$.fragment,e),h(N.$$.fragment,e),h(H.$$.fragment,e),h(B.$$.fragment,e),h(V.$$.fragment,e),h(S.$$.fragment,e),h(U.$$.fragment,e),h(O.$$.fragment,e),h(G.$$.fragment,e),h(z.$$.fragment,e),h(W.$$.fragment,e),h(q.$$.fragment,e),h(F.$$.fragment,e),h(j.$$.fragment,e),h(R.$$.fragment,e),Ee=!1},d(e){e&&(r(ke),r(ve),r(be),r($e),r(Te),r(i),r(ye),r(xe),r(T),r(we),r(y),r(Le),r($),r(Me),r(x),r(Pe),r(w),r(Ie),r(_e)),r(L),f(D,e),f(A,e),f(C),f(N),f(H),f(B),f(V,e),f(S),f(U),f(O),f(G),f(z),f(W),f(q),f(F),f(j),f(R)}}}const Et='{"title":"Experiment Tracking","local":"experiment-tracking","sections":[{"title":"The Base Tracker Class","local":"accelerate.tracking.GeneralTracker","sections":[],"depth":2},{"title":"Integrated Trackers","local":"accelerate.tracking.TensorBoardTracker","sections":[],"depth":2}],"depth":1}';function Dt(at){return wt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Bt extends Lt{constructor(L){super(),Mt(this,L,Dt,It,yt,{})}}export{Bt as component};
